import Custom.Style 1.0

import QtQuick 2.9
import QtQuick.Layouts 1.0
import QtQuick.Controls 2.5

Rectangle {
    id: root

    property alias title: titleText.text

    QtObject {
        id: p
        readonly property int spacing: 12
    }

    signal closeButtonClicked

    color: Style.messageDialog.titleBar.background

    implicitHeight: closeButton.height

    RowLayout {
        id: titleRow

        anchors.fill: parent
        spacing: p.spacing

        Text {
            id: titleText

            Layout.fillWidth: true

            color: 'white'
            font.pixelSize: Style.messageDialog.fontSize
            font.bold: true
        }

        ToolButton {
            id: closeButton

            // Note: due to QTBUG-80344, those values must be even numbers.
            // I gave up trying to implement the workaround mentioned there.
            implicitWidth: 46
            implicitHeight: 30


            onClicked: root.closeButtonClicked()

            background: Rectangle {
                color:
                    parent.pressed ? Style.messageDialog.titleBar.closeButtonBackgroundPressed :
                    parent.hovered ? Style.messageDialog.titleBar.closeButtonBackgroundHovered
                                   : 'transparent'
            }
        }
    }
}
