import Custom.Buttons 1.0
import Custom.Dialogs 1.0 as C
import Custom.Style 1.0
import Custom.Views 1.0

import QtQuick 2.9
import QtQuick.Controls 1.4
import QtQuick.Controls 2.15 as QC2
import QtQuick.Layouts 1.3
import QtQuick.Window 2.2

QC2.ApplicationWindow {
    width: 800
    height: 600

    visible: true

    StackLayout {
        // in our real application this stack layout is part of a split view.
        // When reducing the real code to this somewhat minimal reproducing
        // example we removed the split view at some point but forgot to remove
        // this property. However, removing it now makes it so that the bug is no
        // longer triggered, which is why it is still here.
        QC2.SplitView.fillWidth: true

        Tab1.RightTab {}
        Tab2.RightTab {}
        Tab3.RightTab {}
        Tab4 {}
    }

    C.MessageDialog {
    }

    Loader {
        id: systemSelectorLoader
        sourceComponent: systemSelector
        anchors.centerIn: parent
    }

    Component {
        id: systemSelector

        C.SystemSelector {
            id: systemSelectorDialog
            anchors.centerIn: parent
        }
    }
}
